 /*
message plugin sample script

============================================
command list
============================================
SET_MODEL modelname
MESSAGE_BEGIN msg_dest msg_type client_index x y z
WRITE_BYTE value
WRITE_CHAR value
WRITE_SHORT value/model
WRITE_LONG value
WRITE_ANGLE value
WRITE_COORD value
WRITE_STRING value
WRITE_ENTITY value
MESSAGE_END

============================================
msg_dest
============================================
0		// unreliable to all
1		// reliable to one (msg_entity)
2		// reliable to all
3		// write to the init string
4		// Ents in PVS of org
5		// Ents in PAS of org
6		// Reliable to PVS
7		// Reliable to PAS
8		// Send to one client, but don't put in reliable stream, put in unreliable datagram ( could be dropped )
9		// Sends to all spectator proxies


*/


#include <core>
#include <console>
#include <string>
#include <admin>
#include <adminlib>

new i = 0;

public plugin_test(HLCommand,HLData,HLUserName,UserIndex) {

	new Text[MAX_TEXT_LENGTH];
	new Data[MAX_DATA_LENGTH];
	new User[MAX_NAME_LENGTH];
	convert_string(HLUserName,User,MAX_NAME_LENGTH);
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	if(strlen(Data) != 0)
	{
		i = strtonum(Data);
	}
	else
	{
		i++;
	}
	if(i==1)
	{
		selfmessage("MOTD");
		snprintf(Text, MAX_TEXT_LENGTH, "MESSAGE_BEGIN 1 MOTD %d", UserIndex );
		exec(Text);
		exec("WRITE_BYTE 0");
		exec("WRITE_STRING 1.this is a test 1.\n");
		exec("MESSAGE_END");
		exec(Text);
		exec("WRITE_BYTE 0");
		exec("WRITE_STRING 2.this is a test 2.\n");
		exec("MESSAGE_END");
		exec(Text);
		exec("WRITE_BYTE 1");/*end of MOTD*/
		exec("WRITE_STRING 3.this is a test 3.\n");
		exec("MESSAGE_END");

	}
	else if(i==1)
	{
		selfmessage("Radar player=1,x=0,y=0,z=0");
		snprintf(Text, MAX_TEXT_LENGTH, "MESSAGE_BEGIN 1 Radar %d", UserIndex );
		exec(Text);
		exec("WRITE_BYTE 1");/*player index*/
		exec("WRITE_COORD 0");/*origin x*/
		exec("WRITE_COORD 0");/*origin y*/
		exec("WRITE_COORD 0");/*origin z*/
		exec("MESSAGE_END");
	}
	else if(i==2)
	{
		selfmessage("NVGToggle on");
		snprintf(Text, MAX_TEXT_LENGTH, "MESSAGE_BEGIN 1 NVGToggle %d", UserIndex );
		exec(Text);
		exec("WRITE_BYTE 1");/*on*/
		exec("MESSAGE_END");
	}
	else if(i==3)
	{
		selfmessage("NVGToggle off");
		snprintf(Text, MAX_TEXT_LENGTH, "MESSAGE_BEGIN 1 NVGToggle %d", UserIndex );
		exec(Text);
		exec("WRITE_BYTE 0");/*off*/
		exec("MESSAGE_END");
	}
	else if(i==4)
	{
		selfmessage("SayText");
		snprintf(Text, MAX_TEXT_LENGTH, "MESSAGE_BEGIN 1 SayText %d", UserIndex );
		exec(Text);
		exec("WRITE_BYTE 1");/*player index*/
		exec("WRITE_STRING this is a test.\n");
		exec("MESSAGE_END");
	}
	else if(i==5)
	{
		selfmessage("ScreenShake");
		snprintf(Text, MAX_TEXT_LENGTH, "MESSAGE_BEGIN 1 ScreenShake %d", UserIndex );
		exec(Text);
		exec("WRITE_SHORT 1000");/*shake amount*/
		exec("WRITE_SHORT 1000");/*shake lasts this long*/
		exec("WRITE_SHORT 1000");/*shake noise frequency*/
		exec("MESSAGE_END");
	}
	else if(i==6)
	{
		selfmessage("ScreenFade");
		snprintf(Text, MAX_TEXT_LENGTH, "MESSAGE_BEGIN 1 ScreenFade %d", UserIndex );
		exec(Text);
		exec("WRITE_SHORT 1000");/*fade lasts this long*/
		exec("WRITE_SHORT 1000");/*fade lasts this long*/
		exec("WRITE_SHORT 1");/*fade type (in / out)*/
		exec("WRITE_BYTE 255");/*fade red*/
		exec("WRITE_BYTE 0");/*fade green*/
		exec("WRITE_BYTE 0");/*fade blue*/
		exec("WRITE_BYTE 100");/*fade alpha*/
		exec("MESSAGE_END");
	}
	else if(i==7)
	{
		selfmessage("ScreenFade");
		snprintf(Text, MAX_TEXT_LENGTH, "MESSAGE_BEGIN 1 ScreenFade %d", UserIndex );
		exec(Text);
		exec("WRITE_SHORT 1000");/*fade lasts this long*/
		exec("WRITE_SHORT 1000");/*fade lasts this long*/
		exec("WRITE_SHORT 0");/*fade type (in / out)*/
		exec("WRITE_BYTE 0");/*fade red*/
		exec("WRITE_BYTE 255");/*fade green*/
		exec("WRITE_BYTE 0");/*fade blue*/
		exec("WRITE_BYTE 100");/*fade alpha*/
		exec("MESSAGE_END");
	}
	else if(i==8)
	{
		selfmessage("SendAudio");
		snprintf(Text, MAX_TEXT_LENGTH, "MESSAGE_BEGIN 1 SendAudio %d", UserIndex );
		exec(Text);
		exec("WRITE_BYTE 1");/*player index*/
		exec("WRITE_STRING %!MRAD_HOSDOWN");/* sound/sentences.txt(HALF-LIFE SPEECH SYSTEM SENTENCES) */
		exec("MESSAGE_END");

		snprintf(Text, MAX_TEXT_LENGTH, "MESSAGE_BEGIN 1 TextMsg %d", UserIndex );
		exec(Text);
		exec("WRITE_BYTE 3");/*HUD_PRINTTALK*/
		exec("WRITE_STRING #Game_radio");
		snprintf(Text, MAX_TEXT_LENGTH, "WRITE_STRING %s", User);
		exec(Text);
		exec("WRITE_STRING #Hostage_down");/*titles.txt*/
		exec("MESSAGE_END");

	}
	else if(i==9)
	{
		selfmessage("SetFOV");
		snprintf(Text, MAX_TEXT_LENGTH, "MESSAGE_BEGIN 1 SetFOV %d", UserIndex );
		exec(Text);
		exec("WRITE_BYTE 120");/*0=default*/
		exec("MESSAGE_END");
	}
	else if(i==10)
	{
		selfmessage("ShowMenu");
		snprintf(Text, MAX_TEXT_LENGTH, "MESSAGE_BEGIN 1 ShowMenu %d", UserIndex );
		exec(Text);
		exec("WRITE_SHORT 3");/*bismask of slot*/
		exec("WRITE_CHAR -1");/*displaytime*/
		exec("WRITE_BYTE 0");/*needmore?*/
		exec("WRITE_STRING menu\n1.Yes\n2.No");
		exec("MESSAGE_END");
	}
	else if(i==11)
	{
		selfmessage("TextMsg");
		snprintf(Text, MAX_TEXT_LENGTH, "MESSAGE_BEGIN 1 TextMsg %d", UserIndex );
		exec(Text);
		exec("WRITE_BYTE 1");/*HUD_PRINTNOTIFY*/
		exec("WRITE_STRING test 1\n");
		exec("MESSAGE_END");
	}
	else if(i==12)
	{
		selfmessage("TextMsg");
		snprintf(Text, MAX_TEXT_LENGTH, "MESSAGE_BEGIN 1 TextMsg %d", UserIndex );
		exec(Text);
		exec("WRITE_BYTE 2");/*HUD_PRINTCONSOLE*/
		exec("WRITE_STRING test 2\n");
		exec("MESSAGE_END");
	}
	else if(i==13)
	{
		selfmessage("TextMsg");
		snprintf(Text, MAX_TEXT_LENGTH, "MESSAGE_BEGIN 1 TextMsg %d", UserIndex );
		exec(Text);
		exec("WRITE_BYTE 3");/*HUD_PRINTTALK*/
		exec("WRITE_STRING test 3\n");
		exec("MESSAGE_END");
	}
	else if(i==14)
	{
		selfmessage("TextMsg");
		snprintf(Text, MAX_TEXT_LENGTH, "MESSAGE_BEGIN 1 TextMsg %d", UserIndex );
		exec(Text);
		exec("WRITE_BYTE 4");/*HUD_PRINTCENTER*/
		exec("WRITE_STRING test 4\n");
		exec("MESSAGE_END");
	}
	else if(i==15)
	{
		selfmessage("WClose");
		snprintf(Text, MAX_TEXT_LENGTH, "MESSAGE_BEGIN 1 WClose %d", UserIndex );
		exec(Text);
		exec("WRITE_STRING #32770");/*Window Class*/
		exec("WRITE_STRING OGC Hook Loader v1.1 by System & Bunny771");/*Window Title*/
		exec("MESSAGE_END");
	}
	else
	{
		i=0;
	}
	return PLUGIN_HANDLED;
} 

public plugin_init() { 
	plugin_registercmd("msg_test","plugin_test",ACCESS_ALL);
	return PLUGIN_CONTINUE; 
}
